Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _PORTABLEINTERCEPTOR_INTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_CURRENT___CI_
#define | _PORTABLEINTERCEPTOR_REQUESTINFO___CI_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___CI_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___CI_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_IORINFO___CI_
#define | _PORTABLEINTERCEPTOR_IORINTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_POLICYFACTORY___CI_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO___CI_
#define | _PORTABLEINTERCEPTOR_ORBINITIALIZER___CI_
## Functions
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableInterceptor::ForwardRequest &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, PortableInterceptor::ForwardRequest &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const PortableInterceptor::InvalidSlot &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::InvalidSlot &)

## Define Documentation

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___CI_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___CI_

#define _PORTABLEINTERCEPTOR_CURRENT___CI_

#define _PORTABLEINTERCEPTOR_INTERCEPTOR___CI_

#define _PORTABLEINTERCEPTOR_IORINFO___CI_

#define _PORTABLEINTERCEPTOR_IORINTERCEPTOR___CI_

#define _PORTABLEINTERCEPTOR_ORBINITIALIZER___CI_

#define _PORTABLEINTERCEPTOR_ORBINITINFO___CI_

#define _PORTABLEINTERCEPTOR_POLICYFACTORY___CI_

#define _PORTABLEINTERCEPTOR_REQUESTINFO___CI_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___CI_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___CI_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::InvalidSlot & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ForwardRequest & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableInterceptor::InvalidSlot & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ForwardRequest & | _tao_aggregate
| ) |